
<div class="container mt-5 mb-5">
  <h2 class="font-weight-bold text-secondary"> CADASTRAR ESPAÇO </h2>
  <form method="POST" #frm="ngForm" (ngSubmit)="create(frm)">

    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="inputNome">Nome do local</label>
        <input type="text" class="form-control" id="name" name="name" placeholder="Espaço XYZ" [(ngModel)]="space.name" required>
      </div>
      <div class="form-group col-md-6">
        <label for="inputCapacidade">Capacidade</label>
        <input type="number" class="form-control" id="capacity" name="capacity" placeholder="100" [(ngModel)]="space.capacity" required>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="inputPreco">Preço sugerido</label>
        <input type="number" class="form-control" id="price" name="price" placeholder="R$ 500,00" [(ngModel)]="space.price" required>
      </div>
      <div class="form-group col-md-6">
        <label for="tagByType">Tipo de evento</label>
        <mat-form-field class="example-chip-list" appearance="outline">
          <mat-chip-list #chipList aria-label="Fruit selection">
                <mat-chip
                      *ngFor="let fruit of fruits"
                      [selectable]="selectable"
                      [removable]="removable"
                      (removed)="remove(fruit)">
                      {{fruit}}
                <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                </mat-chip>
                <input
                      placeholder="Nova categoria..."
                      #fruitInput
                      [formControl]="fruitCtrl"
                      [matAutocomplete]="auto"
                      [matChipInputFor]="chipList"
                      [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                      [matChipInputAddOnBlur]="addOnBlur"
                      (matChipInputTokenEnd)="add($event)"
                      id="tagByType">
                </mat-chip-list>
                <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                <mat-option *ngFor="let fruit of filteredFruits | async" [value]="fruit">
                      {{fruit}}
                </mat-option>
          </mat-autocomplete>
        </mat-form-field>
      </div>
    </div>

    <button type="submit" class="btn btn-primary" [disabled]="frm.invalid">SUBMETER</button>
  </form>
</div>
